#ifndef CIMAGECREATER_H
#define CIMAGECREATER_H

#include <string>

typedef unsigned short WORD;
typedef unsigned int DWORD;

//文件信息头
typedef struct tagBITMAPFILEHEADER{
    DWORD   bfSize;
    WORD    bfReserved1;
    WORD    bfReserved2;
    DWORD   bfOffBits;
}BITMAPFILEHEADER;

//位图信息头
typedef struct tagBITMAPINFOHEADER{
    DWORD   biSize;
    DWORD   biWidth;
    DWORD   biHeight;
    WORD    biPlanes;
    WORD    biBitCount;
    DWORD   biCompression;
    DWORD   biSizeImage;
    DWORD   biXPelsPerMeter;
    DWORD   biYPelsPerMeter;
    DWORD   biClrUsed;
    DWORD   biClrImportant;
}BITMAPINFOHEADER;


class CImageCreater
{
public:
    CImageCreater();

    bool WriteBMP(std::string & savePath, unsigned char *rgbbuf, int w, int h, unsigned char * pQR, unsigned char * pQR1);
};

#endif // CIMAGECREATER_H
