#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMessageBox>

#include <CWorkThread.h>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_BTSelectFile_clicked();
    void onSetImageView(QString path);
    void onError(QString);

private:
    Ui::MainWindow *ui;
    CWorkThread * m_pThread;
};

#endif // MAINWINDOW_H
