#ifndef CWORKTHREAD_H
#define CWORKTHREAD_H

#include <QDebug>
#include <QThread>
#include <QString>
#include "CImageCreater.h"

class CWorkThread : public QThread
{
Q_OBJECT
public:
    explicit CWorkThread(QString srcFile, QObject *parent = 0);
    virtual void run();

    void ShowCompleted();

signals:
    void onProcess(QString);
    void onCompleted(QString);
    void onError(QString);

public slots:
private:
    QString m_strSrcPath;
    bool m_bShowCompleted;
};

#endif // CWORKTHREAD_H
